<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:param name="pageName" value="#{messages['gazelle.evs.client.admin.manage.standards']}"/>
    <ui:param name="pageNameUrl" value="administration/referencedStandards.seam"/>
    <ui:param name="pageNameTitle" value="#{messages['gazelle.evs.client.admin.manage.standards']}"/>
    <ui:define name="body">
        <h:form id="globalForm">
            <s:token allowMultiplePosts="true"/>
            <s:div id="globalDiv">
                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">


                    <ui:param name="panel_id" value="AllStandardsPanel"/>
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.evs.client.admin.referenced.standards']}"/>
                    </ui:define>

                    <rich:dataTable id="standardListTable" var="currentStandard"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    value="#{referencedStandardBeanGui.getAllReferencedStandardDataModel()}"
                                    render="ds" styleClass="table table-striped  table-responsive">
                        <g:column sortBy="#{'name'}" filterBy="#{'name'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.DisplayName']}</ui:define>
                            <h:panelGrid columns="3">
                                <span class="#{currentStandard.iconStyleClass}"></span>
                                <h:outputText value="#{currentStandard.name}"/>
                            </h:panelGrid>
                        </g:column>
                        <g:column id="NameColumn" sortBy="#{'validationType'}" filterBy="#{'validationType'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.ValidatorType']}</ui:define>
                            <h:outputText value="#{currentStandard.validationType}"/>
                        </g:column>
                        <g:column id="ExtensionColumn" filterBy="#{'validatorFilter'}" sortBy="#{'validatorFilter'}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.evs.ValidatorFilter']}</ui:define>
                            <h:outputText value="#{currentStandard.validatorFilter}"/>
                        </g:column>
                        <g:column id="DescriptionColumn" filterBy="#{'description'}">
                            <ui:define name="header">#{messages['gazelle.evs.client.Description']}</ui:define>
                            <span>
                                <g:safehtml value="#{currentStandard.description}"/>
                            </span>
                        </g:column>
                        <g:column id="actionColumn">
                            <ui:define name="header">#{messages['gazelle.evs.client.Action']}</ui:define>

                            <a4j:commandLink styleClass="action"
                                             action="#{referencedStandardBeanGui.displayReferencedStandard(currentStandard)}"
                                             onRowMouseOver="this.style.cursor='pointer'" execute="@this">
                                <s:span styleClass="gzl-icon-pencil text-info"/>
                            </a4j:commandLink>

                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="standardListTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <h:outputLink id="createNewStandardButton"  title="#{messages['gazelle.evs.client.admin.create.new.standard']}" value="referencedStandardDisplay.seam"
                                      styleClass="gzl-btn-blue">
                            <h:outputText value="#{messages['gazelle.evs.client.admin.create.new.standard']}"/>
                        </h:outputLink>

                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
